Get yield action history
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rawResponse": {
"total": 123,
"offset": 123,
"limit": 123,
"items": [
{}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Yield
Get yield action history
Retrieves a paginated list of yield actions performed by the client.
This is a proxy to the Yield.xyz GET /actions endpoint. The response
is wrapped under data.rawResponse and network fields on
transactions are converted to CAIP-2 format. For the full upstream
response schema see
docs.yield.xyz.
GET
/
clients
/
me
/
integrations
/
yield-xyz
/
actions
Get yield action history
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Query Parameters
Number of results to skip. Defaults to 0.
Maximum number of results to return.
Filter by wallet address.
Filter by action status.
Available options:
CANCELED, CREATED, WAITING_FOR_NEXT, PROCESSING, FAILED, SUCCESS, STALE Filter by action intent.
Available options:
enter, manage, exit Filter by action type.
Available options:
STAKE, UNSTAKE, CLAIM_REWARDS, RESTAKE_REWARDS, WITHDRAW, WITHDRAW_ALL, RESTAKE, CLAIM_UNSTAKED, UNLOCK_LOCKED, STAKE_LOCKED, VOTE, REVOKE, VOTE_LOCKED, REVOTE, REBOND, MIGRATE, VERIFY_WITHDRAW_CREDENTIALS, DELEGATE Filter by yield opportunity ID.
Response
Actions retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?